Package org.eclipse.cdt.utils.elf

# Class SymbolSortCompare

java.lang.Object
org.eclipse.cdt.utils.elf.SymbolSortCompare

All Implemented Interfaces:
  `Comparator`

@Deprecated public class SymbolSortCompare extends Object implements Comparator
Deprecated.
This class is slated for removal, it is not used by the CDT classes

## Constructor Summary

Constructors
Constructor
Description
`SymbolSortCompare()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object o1, Object o2)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### SymbolSortCompare

public SymbolSortCompare()
Deprecated.

## Method Details

### compare

public int compare(Object o1, Object o2)
Deprecated.

Specified by:
  `compare` in interface `Comparator`